/**
 * サブミットを行う
 */
$(function() {
	$('#btnSearch').click(function() {
		$('#s_type').val('search');
		submitForm('searchForm');
	});

	$('#btnList').click(function() {
		$('#type').val('');
		submitForm();
	});

	$('#btnSave').click(function() {
		$('#type').val('save');
		submitForm();
	});

	$('#btnUpdate').click(function() {
		$('#type').val('update');
		submitForm();
	});

	$('#btnCreate').click(function() {
		$('#type').val('create');
		submitForm();
	});

	$('#btnInput').click(function() {
		$('#type').val('input');
		submitForm();
	});

	$('#btnConfirm').click(function() {
		$('#type').val('confirm');
		submitForm();
	});

	$('#btnComplete').click(function() {
		$('#type').val('complete');
		submitForm();
	});

	$('#btnBack').click(function() {
		$('#type').val('back');
		submitForm();
	});

	$('#btnSearchAll').click(function() {
		$('#s_type').val('search');
		$('#s_from:text').datepicker().datepicker('setDate', nowStr);
		$('#s_to:text').datepicker().datepicker('setDate', 'today');
		$('#s_process_from:text').datepicker().datepicker('setDate', nowStr);
		$('#s_process_to:text').datepicker().datepicker('setDate', 'today');
		$('#s_email').val('');
		$('#s_account').val('');
		$('#s_card_type').val('');
		$('#s_card_number').val('');
		$('#s_chid').val('');
		$('#open_flg').prop('checked', true);
		$('#s_process_flg').prop('checked', false);
		$('#s_agent_code').val('');
		$('#s_name').val('');
		$('#s_card_status').val('');
		submitForm('searchForm');
	});

	$('#btnSearchToday').click(function() {
		$('#s_type').val('search');
		$('#s_from:text').datepicker().datepicker('setDate', 'today');
		$('#s_to:text').datepicker().datepicker('setDate', 'today');
		$('#s_email').val('');
		$('#s_account').val('');
		$('#s_card_type').val('');
		$('#s_card_number').val('');
		$('#s_chid').val('');
		$('#open_flg').prop('checked', true);
		$('#s_process_flg').prop('checked', false);
		$('#s_agent_code').val('');
		$('#s_name').val('');
		$('#s_card_status').val('');
		submitForm('searchForm');
	});

	//---------------------- 日付系の処理　----------------------//
	$('#s_from').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#s_to').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	if($('#s_from').val() == '') {
		$('#s_from:text').datepicker().datepicker('setDate', nowStr);
	}

	if($('#s_to').val() == '') {
		$('#s_to:text').datepicker().datepicker('setDate','today');
	}

	$('#s_process_from').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#s_process_to').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	if($('#s_process_from').val() == '') {
		$('#s_process_from:text').datepicker().datepicker('setDate', nowStr);
	}

	if($('#s_process_to').val() == '') {
		$('#s_process_to:text').datepicker().datepicker('setDate','today');
	}
	//---------------------- 日付系の処理　----------------------//
});

/**
 * 詳細表示
 */
function actionDetail(aId) {
	$('#type').val('detail');
	$('#a_id').val(aId);
	submitForm();
}